summaryrefslogtreecommitdiffstats
path: root/.ci/scripts/clang/docker.sh
diff options
context:
space:
mode:
authorlat9nq <22451773+lat9nq@users.noreply.github.com>2021-02-10 03:17:53 +0100
committerlat9nq <22451773+lat9nq@users.noreply.github.com>2021-02-22 07:40:44 +0100
commitfb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20 (patch)
tree05252af34f6a5cd347fdea28416e52bdeea6d7f3 /.ci/scripts/clang/docker.sh
parentMerge pull request #5936 from Kelebek1/Offsets (diff)
downloadyuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar.gz
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar.bz2
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar.lz
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar.xz
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.tar.zst
yuzu-fb0b4c7e278bbeb275458f2c2dfd5c2ca1576e20.zip
Diffstat (limited to '')
-rwxr-xr-x.ci/scripts/clang/docker.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.ci/scripts/clang/docker.sh b/.ci/scripts/clang/docker.sh
new file mode 100755
index 000000000..885d74e97
--- /dev/null
+++ b/.ci/scripts/clang/docker.sh
@@ -0,0 +1,18 @@
+#!/bin/bash -ex
+
+# Exit on error, rather than continuing with the rest of the script.
+set -e
+
+cd /yuzu
+
+ccache -s
+
+mkdir build || true && cd build
+cmake .. -DDISPLAY_VERSION=$1 -DCMAKE_BUILD_TYPE=Release -DCMAKE_C_COMPILER=/usr/lib/ccache/clang -DCMAKE_CXX_COMPILER=/usr/lib/ccache/clang++ -DYUZU_ENABLE_COMPATIBILITY_REPORTING=${ENABLE_COMPATIBILITY_REPORTING:-"OFF"} -DENABLE_COMPATIBILITY_LIST_DOWNLOAD=ON -DUSE_DISCORD_PRESENCE=ON -DENABLE_QT_TRANSLATION=ON -DCMAKE_INSTALL_PREFIX="/usr"
+
+make -j$(nproc)
+
+ccache -s
+
+ctest -VV -C Release
+